Bug 101444 - sound on ibm x23 laptop (i810) is too slow
sound on ibm x23 laptop (i810) is too slow
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 22:06 EDT by Seth Vidal
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-17 14:04:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2003-07-31 22:06:40 EDT
Description of problem:
got an ibm x23 laptop using i810 module. Under shrike kernels the sound plays
correctly and at a normal speed. Under severn kernel the sound plays much slower
than it should. Both in the test sound in redhat-config-sound and in xmms.

It's very odd - I did some hunting in the module and there are some things about
setting the rate but I couldn't figure out what had changed from shrike to
severn to cause this.


Version-Release number of selected component (if applicable):
kernel-2.4.21-20.1.2024.2.1.nptl

How reproducible:
every time. - play a sound

Steps to Reproduce:
1. have an ibm x23 laptop
2. setup sound
3. play sound
4. note how slow it is
5. profit!!!

Actual results:
plays slow

Expected results:
should play at normal speed.


Additional info:
While fast light experiments do not actually exceed the speed of light beyond C
for an individual photon they can increase the group velocity.
Comment 1 Michael K. Johnson 2003-08-08 16:16:39 EDT
slow as in lower pitch or as broken up into segments or what?

Also, I always ask folks to test a boot with the kernel option acpi=off
whenever I see things magically break between Shrike and Severn, since
that's one of the major changes with sometimes very subtle, non-obvious
effects...
Comment 2 Seth Vidal 2003-08-08 20:00:07 EDT
Slow as lower pitch.
but acpi=off appears to have fixed it.

Comment 3 Seth Vidal 2003-11-17 14:04:05 EST
appears to be all happy in Fedora Core 1. No reason to leave this open.

Note You need to log in before you can comment on or make changes to this bug.